Subject: Apple II APL Board?

From: Marvin Johnston <[email-masked]>
Date: Wed Apr 30 17:44:00 2003

I picked up a board for the Apple II this last weekend, and am curious
if anyone knows anything about it? The silkscreening on the boards is
"APL BOARD", and besides an EPROM (Fairchild M88518H?) with "APL"
stamped on it, it has what appears to be a centronics printer cabled
attached.